% This fuction generates the average demand profile based on the chosen
% time window (15 min, 30 min, and 60 min)for the total demand of the fleet
function P = FuncAveragingDemand(FileName,AveragingWindow)
Demand=readmatrix(FileName,'Sheet',2,'Range','A2:A86401'); % reads demand data from the file
switch AveragingWindow
    case 'Quarterly' 
        NumberOfInstant=numel(Demand)/96;
        AverageDemand=zeros(1,96);
        CountLimit=96;
        Dinominator=4;
    case {'Half_Hourly'}
        NumberOfInstant=numel(Demand)/48;
        AverageDemand=zeros(1,48);
        CountLimit=48;
        Dinominator=2;
    otherwise
       NumberOfInstant=numel(Demand)/24;
       AverageDemand=zeros(1,24);
       CountLimit=24;
       Dinominator=1;
end
for Counter=1:1:CountLimit
     StartPoint= NumberOfInstant*(Counter-1)+1;
     EndPoint=NumberOfInstant*Counter;       
     AverageDemand(Counter)=mean(Demand(StartPoint:EndPoint)) ;     
  aa=[Counter StartPoint EndPoint AverageDemand(Counter)] ;
end
% plotting the average demand
figure
Time=1:1:CountLimit;
Time=Time/Dinominator;
figure
Pt1=plot(Time, AverageDemand,'red','linewidth',2.4);
xlabel('Time (hr)')
ylabel('Demand (kW)')
legend('Average Power Demand','Location','northwest')