% This function stochastically creates the travlled distance for the fleet
% based on the core date stored in "TraveledDistanceData.csv" (this core data is from real world observed events)
% the function generatets a matrix with the size of the fleet (the number of vehicles)
% Notice: the core data (Distance.mat) must always be kept with codes in the same folder
function FleetTravelDistance=FuncTraveledDistance(FS)
Fleetsize=FS;
Range = 200;                                         % the maximum distance (specific distance)
DistanceData=readmatrix('TraveledDistanceData.csv'); % reads the practical data from the specified file 
TraveledDistance = floor(DistanceData); 
DistanceFrq =zeros(Range,2); % to store the frequency of each mile
for i=1:Range
     DistanceFrq(i,1)=i;
    for j=1:numel(TraveledDistance)
        
        if  TraveledDistance(j)==i 
            DistanceFrq(i,2)= DistanceFrq(i,2)+1;
        end
    end
end
%Probability distribution of the travelled distance
DistanceProb = [DistanceFrq(:,1) DistanceFrq(:,2)/numel(TraveledDistance)];
DistanceVector=DistanceProb(:,2);
DistanceVector=DistanceVector';
FleetTravelDistance=FuncGenerateDistribution(DistanceVector,1,Fleetsize)+10*rand(1,Fleetsize); % Calls "FuncGenerateDistribution" to create stochastic matrix of travel distance using the developed vector of traveled distance